Subject: Re: bug#43152: 28.0.50; when building emacs 28.0.50 ./temacs is stopped with core

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Sep 2020 17:29:04 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 1 Sep 2020 04:10:12 -0700
> 
> Philippe Spiesser <[email-masked]> writes:
> 
> > Hello,
> > yesterday, I have updated the local directory of emacs 28.0.50 to
> > rebuild a new version; the last time I've updated was the 9 of august
> > and everything was OK.
> > Building stops with the messages :
> >          cp -f temacs bootstrap-emacs
> >          rm -f bootstrap-emacs.pdmp
> >          ./temacs --batch  -l loadup --temacs=pbootstrap
> >          make[1]: *** [bootstrap-emacs.pdmp] Segmentation fault: 11
> >          make: *** [src] Error 2
> > I can't explain this.
> > I hope it's the correct place to send this message
> 
> Did you try "make bootstrap"?
> 
> Also, please include the full commands you used to build this, starting
> with configure.

If "make bootstrap" doesn't help, please run the command which crashes
under GDB, and when it crashes, produce the backtrace and post it
here.